#!/bin/bash

DEST=$1
INIT=$DEST/../dynbinary/dockerinit-$VERSION

set -e

if [ ! -x "$INIT" ]; then
	echo >&2 'error: dynbinary must be run before dyntest'
	false
fi

(
	export TEST_DOCKERINIT_PATH="$INIT"
	export LDFLAGS_STATIC_DOCKER="
		-X github.com/dotcloud/docker/dockerversion.INITSHA1 \"$DOCKER_INITSHA1\"
	"
	source "$(dirname "$BASH_SOURCE")/test"
)
